package slices

func Each[T any](slice []T, f Consumer[T]) {
	EachIndex(slice, func(_ int, v T) { f(v) })
}

func EachIndex[T any](slice []T, f IndexedConsumer[T]) {
	for i, v := range slice {
		f(i, v)
	}
}
